/* GLOBAL CSS */

@font-face {
    font-family: Chivo;
    src: url(../assets/fonts/Chivo-VariableFont_wght.ttf);
 }

body{
    margin: 0;
    padding: 0;
    background-color: #121725;
    height: 100vh;
    overflow:hidden ;
    font-family: "Chivo", sans-serif;
    mix-blend-mode: normal;
    position: relative;
}

h1,p{
    text-align: center;
}

#warning{
    color: red;
    text-align: start;
    padding-left: 2rem;
}

main{
    z-index: 1;
    height: 80%;
}

h1{
    color:#54E6AF;
    font-style: normal;
    font-weight: 400;
    font-size: 26px;
    line-height: 38px;
    text-align: center;
    text-transform: uppercase;
}

span{
    color: white;
}

p {
    font-style: normal;
    font-weight: 100;
    font-size: 15px;
    line-height: 25px;
    text-align: center;
    color: #C2CBE5;
    margin: 0;
}

input{
    border: 0;
    background-color: #2C344B;
}

#icons{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    width: 100%;
    place-items: center;
}

.field{
    border-radius: 20px;
    padding: 0.5rem;
}

#email{
    background-color: #2C344B;
    display: flex;
}

#email input{
    margin-left: 1rem;
    padding: 0;
    color: white;
    width: 60%;
}

#submit{
    background-color: #54E6AF;
}

#submit:hover{
    filter:brightness(120%);
    cursor: pointer;
}

/* Mobile */
@media only screen and (max-device-width: 727px){

    #mobileBackground{
        min-height: 100vh;
        min-width: 100%;
        background-size: contain;
        opacity: 0.1;
        overflow: hidden;
    }

    #tabletHero{
        display: none;
    }

    #desktopHero{
        display: none;
    }

    footer{
        display: none;
    }

    main{
        padding: 1.5rem;
        position: absolute;
        top:1rem;
    }

    nav{
        display: flex;
        place-content: center;
        padding-bottom: 1rem ;
    }

    main > *{
        margin: 0;
    }

    #logo{
        padding: 2rem 0;
    }

    #icons img{
        max-width: 56px;
        gap: 1rem;
    }

    #description{
        display: grid;
        gap: 2rem;
    }

    #description > p{
        height: 100px;
    }

    #submitContainer{
        width: 100%;
        display: grid;
        gap: 1rem;
    }

    #submit p{
        color: #121725;
        font-weight: 700;
        font-size: 14px;
        line-height: 28px;
    }
}

/* Tablet and desktop*/
@media only screen and (min-device-width: 728px){

    #logo{
        padding: 3rem 2rem;
    }

    nav{
        display: grid;
        grid-template-columns: 1.5fr 3fr
    }

    #hero{
        min-height: 767px;
        max-width: 491px;
    }

    #description{
        display: grid;
        gap: 2rem;
        max-width: 635px;
        width: auto;
        background-color: #121725;
        position: absolute;
        top: 34%;
        margin-left: 2rem;
        padding-top: 5%;
    }

    #description p:nth-child(2), h1{
        text-align: left;
    }

    #description > h1{
        margin-bottom: 0;
        order: 1;
        font-weight: 300;
        font-size: 48px;
        line-height: 56px;
    }

    #description > p {
        display: grid;
        grid-template-columns: 3fr 1fr;
        order: 2;
    }

    #icons{
        order: 4;
    }

    #submitContainer{
        order: 3;
        display: grid;
        grid-template-columns: 3fr 1fr;
        margin-bottom: 3rem;
    }

    #email{
        padding: 0.75rem;
    }

    #submit{
        position: relative;
        right: 100%;
        margin: 0.25rem;
    }

    #submit p{
        color: #121725;
        font-weight: 700;
        font-size: 14px;
        line-height: 28px;
    }
}

/* Tablet only*/
@media only screen and (max-device-width: 1439px){
    
    #mobileBackground{
        display: none;
    }

    #desktopHero{
        display: none;
    }

    #tabletHero{
        justify-self: end;
    }

    footer{
        position: absolute;
        background: url(../assets/desktop/bg-pattern-dots.svg);
        width: 232px;
        height: 104px;
        left: 30px;
        bottom:0;
    }
}

/* Desktop */
@media only screen and (min-device-width: 1440px){

    main{
        margin: 7rem 0rem 5rem 10rem;
    }

    #mobileBackground{
        display: none;
    }

    #tabletHero{
        display: none;
    }
    
    #logo{
        position: relative;
        top: -5rem;
        left: -2rem;
    }

    #desktopHero{
        justify-self: end;
    }

    footer{
        display: flex;
        width: 100%;
        justify-content: end;
    }

    #description{
        position: absolute;
        bottom: 28%;
        margin-left: 0;
        padding-left: 0;
    }

    #dot{
        width: 232px;
        height: 104px;
        position: absolute;
        bottom: 23%;
        z-index: -99999999;
    }
}
